info:
  name: Metabase Google Analytics Driver
  version: 1.0.0-SNAPSHOT-1.27.0
  description: Allows Metabase to connect to Google Analytics accounts.
driver:
  name: googleanalytics
  display-name: Google Analytics (Deprecated driver)
  lazy-load: true
  connection-properties:
    - name: account-id
      display-name: Google Analytics Account ID
      helper-text: You can find the Account ID in Google Analytics → Admin → Account Settings.
      placeholder: '1234567'
      required: true
    - name: service-account-json
      display-name: Service account JSON file
      helper-text: This JSON file contains the credentials Metabase needs to read and query your dataset.
      required: true
      type: textFile
    - advanced-options-start
    - default-advanced-options
init:
  - step: load-namespace
    namespace: metabase.driver.googleanalytics
